axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert lazarski <robertlazar...@gmail.com>
Subject Re: Using Axis2 with Maven
Date Mon, 13 May 2013 10:59:24 GMT
On Mon, May 13, 2013 at 7:41 AM, Hendrik Geßner <hgessner@uni-potsdam.de> wrote:
> I’m trying to use Axis2 by resolving all dependencies with maven.
> Unfortunately there doesn’t seem to be an official dependency code snippet
> on the project page.
>
>
>
> Trying to copy the snippet that the rampart samples use, I ran into the
> well-known redirect problem
> (http://www.ashlux.com/wordpress/2010/06/15/axis2-maven-and-java.net-woes-and-why-maven-sucks/).
> The release note for 1.5.2 states that “Axis2 now relies exclusively on
> dependencies available from the Maven central repository, and no other Maven
> repositories are required. This in particular fixes a build problem that
> appeared after the 1.5.3 release.”
>
>
>
> Thanks,
>
> Hendrik

Well first of all the Axis2 1.5.3 release is several years old. 1.6.2
is the latest. I'm noticing a lot of outdated docs around, so beware.

But I'm not sure I understand your question. Are you asking for
dependencies in pom.xml ? We have our own maven repo and added all the
jars to that. Even with an official repo the deps are the same though.
 Haven't had any problems though I don't use rampart. I don't use the
axis2 plugin either, ymmv.

- R

- R

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@axis.apache.org
For additional commands, e-mail: java-user-help@axis.apache.org


Mime
View raw message